%global majmin %(echo %{version} | cut -d . -f -2)

Name:                libhandy
Version:             1.8.0
Release:             1
Summary:             Library with GTK+ widgets for mobile phones
License:             LGPLv2+
URL:                 https://gitlab.gnome.org/GNOME/libhandy
Source0:             https://download.gnome.org/sources/libhandy/%{majmin}/libhandy-%{version}.tar.xz

BuildRequires:       gcc meson vala gi-docgen
BuildRequires:       pkgconfig(gio-2.0) pkgconfig(gladeui-2.0) pkgconfig(glib-2.0) >= 2.44
BuildRequires:       pkgconfig(gmodule-2.0) pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0) >= 3.24.1
BuildRequires:       xorg-x11-server-Xvfb

Obsoletes:           libhandy1 < 1.1.90-2
Conflicts:           libhandy1 < 1.1.90-2
Provides:            libhandy1 = %{version}-%{release}
Provides:            libhandy1%{?_isa} = %{version}-%{release}

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.

%package             devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
Obsoletes:           libhandy1-devel < 1.1.90-2
Conflicts:           libhandy1-devel < 1.1.90-2
Provides:            libhandy1-devel = %{version}-%{release}
Provides:            libhandy1-devel%{?_isa} = %{version}-%{release}

%description         devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libhandy-%{version}

%build
%meson -Dgtk_doc=true -Dexamples=false \
       -Dtests=true
%meson_build

%install
%meson_install

%find_lang libhandy 

%check
# No parallel test runs to try to avoid overwhellming Xvfb on some platforms
%define _smp_build_ncpus 1
%{shrink:xvfb-run -w 10 -d %meson_test}

%files -f libhandy.lang
%license COPYING
%doc AUTHORS HACKING.md NEWS README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libhandy-1.so.0

%files devel
%{_includedir}/libhandy-1/
%{_libdir}/glade/
%{_libdir}/libhandy-1.so
%{_libdir}/pkgconfig/libhandy-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/glade/
%doc %{_datadir}/doc/libhandy-1/
%{_datadir}/vala/


%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.8.0-1
- Update to 1.8.0

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.6.2-1
- Update to 1.6.2

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.6.1-1
- Update to 1.6.1

* Fri May 28 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.2.0-1
- Upgrade to 1.2.0
- Update Version, URL, Source0. delete Patch0. update stage 'prep'
- Add 'find_lang', update stage 'files'

* Thu Nov 5 2020 Liu wei bo <liuweibo10@huawei.com> - 0.0.13-1
- package init
